react15の環境にrechartsをインストールする方法

@iwasaki 25views 更新:2017年3月10日
npm install -g recharts

してみたら

npm WARN recharts@0.21.2 requires a peer of react@^0.14.0 || ^15.0.0 but none was installed.
npm WARN recharts@0.21.2 requires a peer of react-addons-transition-group@^0.14.0 || ^15.0.0 but none was installed.
npm WARN react-smooth@0.1.20 requires a peer of react@^0.14.0 || ^15.0.0 but none was installed.
npm WARN react-smooth@0.1.20 requires a peer of react-dom@^0.14.0 || ^15.0.0 but none was installed.
npm WARN react-resize-detector@0.3.3 requires a peer of react@^0.14.7 || ^15.0.0 but none was installed.
npm WARN react-addons-transition-group@15.4.2 requires a peer of react@^15.4.2 but none was installed.

のようなエラーがでました。

原因

プロジェクトに必要なパッケージがインストールされてない

http://qiita.com/M-ISO/items/d693ac892549fc95c14c

http://helen.hatenablog.com/entry/2016/05/22/003057

対応方法

以下のようにして対応しました。

npm install -g -D react@^0.14.0 react-addons-transition-group@^0.14.0
npm install -g -D react@^0.14.0 react-addons-transition-group@^0.14.0 react-dom@^0.14.0 recharts

参考

http://yukidarake.hateblo.jp/entry/2016/02/16/201614

ログイン / 新規登録してコメントする

このソースコードをストックして後で利用したり、作業に利用したソースコードをまとめることができます。

こちらもお役に立つかもしれません